---
sidebar_position: 20
description: Check task accesses for users and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Check task accesses for users
 Checks the availability of the task for users



`Function CheckTaskAccesses(Val URL, Val TaskID, Val Users = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | Number, String | &#x2714; | Task ID |
  | Users | --users | Array of String | &#x2716; | User IDs for access checking |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [tasks.task.getaccess](https://dev.1c-bitrix.ru/rest_help/tasks/task/tasks/tasks_task_getaccess.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    ArrayOfUsers = New Array;
    ArrayOfUsers.Add("1");
    ArrayOfUsers.Add("10");

    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID = "9036";

    Result = OPI_Bitrix24.CheckTaskAccesses(URL, TaskID, ArrayOfUsers);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    TaskID = "9038";

    Result = OPI_Bitrix24.CheckTaskAccesses(URL, TaskID, ArrayOfUsers, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 CheckTaskAccesses \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9048" \
             --users "['1','10']" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 CheckTaskAccesses ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9048" ^
             --users "['1','10']" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "allowedActions": {
   "1": {
    "ACCEPT": false,
    "DECLINE": false,
    "COMPLETE": true,
    "APPROVE": false,
    "DISAPPROVE": false,
    "START": true,
    "PAUSE": false,
    "DELEGATE": true,
    "REMOVE": true,
    "EDIT": true,
    "DEFER": true,
    "RENEW": false,
    "CREATE": true,
    "CHANGE_DEADLINE": true,
    "CHECKLIST_ADD_ITEMS": true,
    "ADD_FAVORITE": true,
    "DELETE_FAVORITE": false,
    "RATE": true,
    "TAKE": false,
    "EDIT.ORIGINATOR": "***",
    "CHECKLIST.REORDER": true,
    "ELAPSEDTIME.ADD": true,
    "DAYPLAN.TIMER.TOGGLE": false,
    "EDIT.PLAN": true,
    "CHECKLIST.ADD": true,
    "FAVORITE.ADD": true,
    "FAVORITE.DELETE": false
   },
   "10": {
    "ACCEPT": false,
    "DECLINE": false,
    "COMPLETE": false,
    "APPROVE": false,
    "DISAPPROVE": false,
    "START": false,
    "PAUSE": false,
    "DELEGATE": false,
    "REMOVE": false,
    "EDIT": false,
    "DEFER": false,
    "RENEW": false,
    "CREATE": true,
    "CHANGE_DEADLINE": false,
    "CHECKLIST_ADD_ITEMS": false,
    "ADD_FAVORITE": true,
    "DELETE_FAVORITE": false,
    "RATE": false,
    "TAKE": false,
    "EDIT.ORIGINATOR": "***",
    "CHECKLIST.REORDER": false,
    "ELAPSEDTIME.ADD": false,
    "DAYPLAN.TIMER.TOGGLE": false,
    "EDIT.PLAN": false,
    "CHECKLIST.ADD": false,
    "FAVORITE.ADD": true,
    "FAVORITE.DELETE": false
   }
  }
 },
 "time": {
  "start": 1765396261,
  "finish": 1765396261.3673,
  "duration": 0.367295980453491,
  "processing": 0,
  "date_start": "2025-12-10T19:51:01+00:00",
  "date_finish": "2025-12-10T19:51:01+00:00",
  "operating_reset_at": 1765396861,
  "operating": 0
 }
}
```
